# Class yii\db\DefaultValueConstraint

Inheritance | yii\db\DefaultValueConstraint » yii\db\Constraint » yii\base\BaseObject
Implements | yii\base\Configurable
Available since version | 2.0.13
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/DefaultValueConstraint.php

DefaultValueConstraint represents the metadata of a table `DEFAULT` constraint.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$columnNames | string[]|null | List of column names the constraint belongs to. | yii\db\Constraint
$name | string|null | The constraint name. | yii\db\Constraint
$value | mixed | Default value as returned by the DBMS. | yii\db\DefaultValueConstraint

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject

## Property Details

$value public property

Default value as returned by the DBMS.

public mixed $value = null